$:.unshift File.join(File.dirname(__FILE__), *%w{ .. lib })

require "test/unit"
require "../lib/transactions"

class TestTransactions < Test::Unit::TestCase

  def test_options  # make sure options are initiated
    test_options = Transaction::Options.new.options
    assert_equal(test_options, {})
    test_options[:file] = 'test'
    assert_equal(test_options, {:file=>'test'})
  end

  def test_balances  # make sure accounts balance in test "ledger.yaml"
    ARGV[0] = ""
    accounts = Transaction::Parser.new.parse("balance")
    accounts.each do |x|
      assert_equal(529.03, x[1].round(2)) if x[0] == "Assets:Checking"
      assert_equal(22510.92, x[1].round(2)) if x[0] == "Assets:IRA"
      assert_equal(5500.00, x[1].round(2)) if x[0] == "Assets:Savings"
      assert_equal(-16646.85, x[1].round(2)) if x[0] == "Equity:OpeningBalances"
      assert_equal(22.31, x[1].round(2)) if x[0] == "Expenses:Food:Dining"
      assert_equal(58.77, x[1].round(2)) if x[0] == "Expenses:Food:Groceries"
      assert_equal(10.00, x[1].round(2)) if x[0] == "Expenses:Interest:CreditCard"
      assert_equal(15.04, x[1].round(2)) if x[0] == "Expenses:Interest:StudentLoan"
      assert_equal(55.72, x[1].round(2)) if x[0] == "Expenses:Phone"
      assert_equal(75.00, x[1].round(2)) if x[0] == "Expenses:Utilities:Electric"
      assert_equal(-1242.87, x[1].round(2)) if x[0] == "Income:JobName"
      assert_equal(-801.32, x[1].round(2)) if x[0] == "Liabilities:CreditCard"
      assert_equal(-10085.75, x[1].round(2)) if x[0] == "Liabilities:Salliemae"
    end
  end

end

