lib = File.expand_path('../lib/', __FILE__)
$:.unshift lib unless $:.include?(lib)

require 'transactions/version'

Gem::Specification.new do |s|
  s.name          = 'transactions'
  s.version       = Transaction::VERSION

  s.summary       = "A bookkeeping application to help manage your finances."
  s.description   = <<-EOF
    A small but powerful command line application to help manage finances.
    Transactions are entered into a text file using yaml and reports are
    generated by parsing this data.
  EOF

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_path  = 'lib'
  s.require_paths = %w[lib]
  s.executables   = ["transactions"]

  s.authors       = ["Randy Schneck"]
  s.email         = 'rasch@computercrayons.com'
  s.homepage      = 'https://github.com/randyschneck/transactions'
  s.license       = 'MIT'
end
